## edu.wisc.ssec.mcidas
Class TANCnav

    java.lang.Object
      edu.wisc.ssec.mcidas.AREAnav
          edu.wisc.ssec.mcidas.TANCnav

All Implemented Interfaces:
  Serializable

public final class TANCnav
extends AREAnav

Navigation class for tangent cone (TANC) type nav. This code was modified from the original FORTRAN code (nvxtanc.dlm) on the McIDAS system. It only supports latitude/longitude to line/element transformations (LL) and vice/versa. Transform to 'XYZ' not implemented.

See Also:
  McIDAS Programmer's Manual, Serialized Form

Field Summary
`(package private) double` `coscl`
`(package private) double` `ele0`
`(package private) int` `ihem`
`(package private) int` `iwest`
`(package private) double` `lat0`
`(package private) double` `lin0`
`(package private) double` `lon0`
`(package private) double` `mxtheta`
`(package private) double` `scale`
`(package private) double` `tancl`
`(package private) double` `tancl2`

Fields inherited from class edu.wisc.ssec.mcidas.AREAnav
`DEGREES_TO_RADIANS, DMSP, GMSX, GOES, GVAR, indexEle, indexLat, indexLine, indexLon, LALO, LAMB, LL, MERC, MOLL, MSAT, MSG, MSGT, POES, PS, RADIANS_TO_DEGREES, RADR, RECT, serialVersionUID, TANC, XY`

Constructor Summary
`TANCnav(int[] iparms)` Set up for the real math work.

Method Summary
`double[][]` `toLatLon(double[][] linele)` converts from satellite coordinates to latitude/longitude
`double[][]` `toLinEle(double[][] latlon)` toLinEle converts lat/long to satellite line/element

Methods inherited from class edu.wisc.ssec.mcidas.AREAnav
`areaCoordToImageCoord, areaCoordToImageCoord, areaCoordToImageCoord, areaCoordToImageCoord, doubleToFloat, equals, floatToDouble, getLineOffset, imageCoordToAreaCoord, imageCoordToAreaCoord, imageCoordToAreaCoord, imageCoordToAreaCoord, isFlippedLineCoordinates, makeAreaNav, makeAreaNav, setFlipLineCoordinates, setImageStart, setMag, setMag, setRes, setRes, setStart, toLatLon, toLinEle, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### iwest

    int iwest

### ihem

    int ihem

### lin0

    double lin0

### ele0

    double ele0

### scale

    double scale

### lon0

    double lon0

### lat0

    double lat0

### coscl

    double coscl

### tancl

    double tancl

### tancl2

    double tancl2

### mxtheta

    double mxtheta

Constructor Detail

### TANCnav

    public TANCnav(int[] iparms)
            throws IllegalArgumentException

  Set up for the real math work. Must pass in the int array of the TANC nav 'codicil'.

Parameters:
  `iparms` - the nav block from the image file
Throws:
  `IllegalArgumentException` - if the nav block is not a TANC type or the parameters are bogus

Method Detail

### toLatLon

    public double[][] toLatLon(double[][] linele)

  converts from satellite coordinates to latitude/longitude

  Specified by:
    `toLatLon` in class `AREAnav`
  Returns:
    latlon[][] array of lat/long pairs. Output array is latlon[indexLat][] of latitudes and latlon[indexLon][] of longitudes.

### toLinEle

    public double[][] toLinEle(double[][] latlon)

  toLinEle converts lat/long to satellite line/element

  Specified by:
    `toLinEle` in class `AREAnav`
  Returns:
    linele[][] array of line/element pairs. Where is an element. These are in 'file' coordinates (not "image" coordinates);